(** @en module header in English
    @ja module header in Japanese *)

(** @en Session header for types in English
    @ja Session header for types in Japanese *)

type t
(** @en text for t in English
    @ja text for t in Japanese *)

type t2 = A (** @en text for A in English
	        @ja text for A in Japanese *)
	| B (** @en text for B in English
	        @ja text for B in Japanese *)

(** @en Session header for values in English
    @ja Session header for values in Japanese *)

val test_function : int -> int -> int -> t
(** @en text for test_function in English
    @ja text for test_function in Japanese *)

val test_value : t
(** @en text for test_value in English
    @ja text for test_value in Japanese *)
